#!/usr/bin/env perl

use warnings;
use strict;
use FindBin;
use Test::More;

use lib "$FindBin::Bin/../lib";
use ParCtl::Tk;

is(ParCtl::Tk::to_ordinal("1"), "1st");
is(ParCtl::Tk::to_ordinal("2"), "2nd");
is(ParCtl::Tk::to_ordinal("3"), "3rd");
is(ParCtl::Tk::to_ordinal("4"), "4th");
is(ParCtl::Tk::to_ordinal("10"), "10th");
is(ParCtl::Tk::to_ordinal("11"), "11th");
is(ParCtl::Tk::to_ordinal("12"), "12th");
is(ParCtl::Tk::to_ordinal("13"), "13th");
is(ParCtl::Tk::to_ordinal("14"), "14th");
is(ParCtl::Tk::to_ordinal("19"), "19th");
is(ParCtl::Tk::to_ordinal("1121"), "1121st");
is(ParCtl::Tk::to_ordinal("23232"), "23232nd");
is(ParCtl::Tk::to_ordinal("6423"), "6423rd");
is(ParCtl::Tk::to_ordinal("999994"), "999994th");
is(ParCtl::Tk::to_ordinal("210"), "210th");
is(ParCtl::Tk::to_ordinal("2311"), "2311th");
is(ParCtl::Tk::to_ordinal("34512"), "34512th");
is(ParCtl::Tk::to_ordinal("56713"), "56713th");
is(ParCtl::Tk::to_ordinal("8914"), "8914th");
is(ParCtl::Tk::to_ordinal("123419"), "123419th");

is(ParCtl::Tk::tod_to_str(ParCtl::Time::DAYTIME), "daytime");
is(ParCtl::Tk::tod_to_str(ParCtl::Time::NIGHTTIME), "nighttime");
is(ParCtl::Tk::tod_to_str(ParCtl::Time::POLAR_DAY), "polar day");
is(ParCtl::Tk::tod_to_str(ParCtl::Time::POLAR_NIGHT), "polar night");

done_testing();
